Pricefx REST API Reference
Pricefx REST API
/Pricefx API Reference/- Get a Custom Form
Create a Custom Form Type
List Custom Form Types
Update a Custom Form Type
Delete a Custom Form Type
Create a Custom Form
List Custom Forms
Change a Custom Form Status
Update a Custom Form
Delete a Custom Form
Duplicate a Custom Form
Create a Custom Form Revision
Preview a Custom Form Workflow
Get a Custom Form
The Pricefx Backend API
Download OpenAPI description
Overview
URL
Pricefx
Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/customform.add
- URL:https://companynode.pricefx.com/pricefx/companypartition/customform.add
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
- createCustomFormRequestExample
- createCustomFormRequestExample2
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/customform.add \
-H 'Content-Type: application/json' \
-d '{
"data": {
"typedId": "7.CFOT",
"label": "The Form",
"userGroupEdit": "Administrators,PricingManagers"
},
"operation": "add"
}'Response
application/json
{ "response": { "node": "string", "data": { … }, "status": 0 } }
Security
basic or X-PriceFx-jwt
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/customform.fetch/{typedId}
- URL:https://companynode.pricefx.com/pricefx/companypartition/customform.fetch/{typedId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/customform.fetch/123.CFOResponse
application/json
{ "response": { "node": "string", "data": [ … ], "status": 0 } }
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/customform.search
- URL:https://companynode.pricefx.com/pricefx/companypartition/customform.search
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/customform.search \
-H 'Content-Type: application/json' \
-d '{
"endRow": 300,
"oldValues": null,
"operationType": "fetch",
"startRow": 0,
"textMatchStyle": "exact",
"data": {
"_constructor": "AdvancedCriteria",
"operator": "and",
"criteria": [
{
"fieldName": "typeId",
"operator": "equals",
"value": "11.CFOT",
"_constructor": "AdvancedCriteria"
}
]
}
}'Response
application/json
No response exampleSee the Key-Value Database Storage Knowledge Base article for more details.
Operations
Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.
Comments